/**********************************************************************
* EINFUEHRUNG IN DIE COMPUTERGRAFIK                      BEISPIEL 1.1 *
*                                                                     *
* Kalchmair Franz-Helmut                                     Gruppe 4 *
*                                                                     *
* Hello World                                                         *
**********************************************************************/

#include <stdio.h>
#include <time.h>

void main(int argc, char **argv)
{
  // Variablen
  time_t t;
  const char *unixdatetime;
  struct tm *ltime;

  // Berechnungen
  time(&t);
  unixdatetime = ctime(&t);
  ltime = localtime (&t);

  // Ausgabe
  printf("Hello World!\n");
  printf("Date of execution: %02d-%02d-%d\n", ltime->tm_mday,(ltime->tm_mon+1),(ltime->tm_year+1900));
  printf("Date of execution (standard format): %s\n", unixdatetime);
  //system("date");
}
